## SYNOPSIS

           apropos [-dhV] [-e|-w|-r] [-m system[,...]] [-M path] key
           word ...

## DESCRIPTION

           Each manual page has a short description available  within
           it.   apropos  searches  the descriptions for instances of
           keyword.

           keyword is usually a regular expression, as  if  (-r)  was
           used,  or  may contain wildcards (-w) , or match the exact
           keyword (-e) .  Using these options, it may  be  necessary
           to  quote the keyword or escape (\) the special characters
           to stop the shell from interpreting them.

           The standard matching  rules  allow  matches  to  be  made
           against  the page name and word boundaries in the descrip
           tion.

## OPTIONS

           -d, --debug
                  Print debugging information.

           -r, --regex
                  Interpret each keyword  as  a  regular  expression.
                  This  is  the default behaviour.  Each keyword will
                  be matched against the page names and the  descrip
                  tions  independently.   It  can  match  any part of
                  either.  The match is not limited  to  word  bound
                  aries.

           -w, --wildcard
                  Interpret  each  keyword  as  a  pattern containing
                  shell  style  wildcards.   Each  keyword  will   be
                  matched against the page names and the descriptions
                  independently.  A match will only be  found  if  an
                  expanded  keyword  matches an entire description or
                  page name.

           -e, --exact
                  Each keyword will be exactly  matched  against  the
                  page names and the descriptions.

           -m system[,...], --systems=system[,...]
                  If  this  system has access to other operating sys
                  tem's  manual  page  descriptions,  they   can   be
                  searched using this option.  To search NewOS's man
                  ual page descriptions, use the option -m NewOS.

                  The system specified can be a combination of comma-
                  delimited  operating  system  names.   To include a
                  search of  the  native  operating  system's  whatis
                  Print a help message and exit.

           -V, --version
                  Display version and author information.

## EXIT STATUS

           0      Successful program execution.

           1      Usage, syntax or configuration file error.

           2      Operational error.

           16     Nothing  was found that matched the criteria speci
                  fied.

## ENVIRONMENT

           SYSTEM If $SYSTEM is set, it will have the same effect  as
                  if  it had been specified as the argument to the -m
                  option.

           MANPATH
                  If $MANPATH is set, its value is interpreted as the
                  colon-delimited  manual  page hierarchy search path
                  to use.

           POSIXLY_CORRECT
                  If $POSIXLY_CORRECT is set, even to a  null  value,
                  the  default  apropos search will be as an extended
                  regex (-r) .  This is anyway the default behaviour.

## FILES

           /usr/share/man/index.(bt|db|dir|pag)
                  A traditional global index database cache.

           /var/cache/man/index.(bt|db|dir|pag)
                  An alternate or FHS compliant global index database
                  cache.

           /usr/share/man/.../whatis
                  A traditional whatis text database.

## SEE ALSO

           whatis(1), man(1).

## AUTHOR

           Wilf. (G.Wilford@ee.surrey.ac.uk).
           Fabrizio Polacco (fpolacco@debian.org).

    2.3.19                     14 May 2001                 apropos(1)